Package net.shibboleth.idp.plugin.authn.webauthn.storage

# Interface CredentialRecord.IRegistrationTimeStage

All Known Implementing Classes:
  `CredentialRecord.Builder`

Enclosing class:
  CredentialRecord

public static interface CredentialRecord.IRegistrationTimeStage
Builder stage.

## Method Summary

Modifier and Type
Method
Description
`CredentialRecord.ICredentialStage`
`withRegistrationTime(Instant registrationTime)`
Set the time the registration took place.

## Method Details

### withRegistrationTime

@Nonnull CredentialRecord.ICredentialStage withRegistrationTime(@Nonnull Instant registrationTime)
Set the time the registration took place.

Parameters:
  `registrationTime` - the registration time
Returns:
  the next builder stage